List snapshots
import requests
url = "https://api.13-215-85-171.sslip.io/v1/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/snapshots \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"machine_id": "<string>",
"size_bytes": 123,
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Machines
List snapshots
GET
/
v1
/
snapshots
List snapshots
import requests
url = "https://api.13-215-85-171.sslip.io/v1/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/snapshots \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"machine_id": "<string>",
"size_bytes": 123,
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Query Parameters
Filter reusable snapshots by origin machine ID. When supplied, compatibility paused/runtime snapshots for that machine can also be returned without metadata.
JSON object of exact-match snapshot metadata filters.